



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Linux系统磁盘与分区管理(7)</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Linux系统磁盘与分区管理(7)</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-29 10:07:57 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>该系列文章只是本人的学习笔记，文章中的文字描述提取自《Linux鸟哥私房菜》《Linux运维之道》等书中的重点内容，化繁为简能够在工作中快速复习掌握重点，并不代表个人立场，但转载请加出处，并注明参考文献。</p>
<p>Linux最传统的磁盘文件系统(filesystem)使用的是EXT4格式,所以要了解文件系统就得要由认识EXT4开始,而文件系统是创建在硬盘上面的,因此我们得了解硬盘的物理组成才行,下面我们回来详细谈一谈磁盘,inode,block还有superblock等文件系统,的理论知识.</p>
<p><strong>关于磁盘与分区</strong></p>
<p>目前在市场中磁盘的分类也是五花八门,一般在主机中使用的磁盘无外乎,以下几种,包括常用的构造,我们在这里说明.</p>
<blockquote><p>接口分类：IDE、SATA、SCSI、SAS、光纤通道接口等<br /><br />
构造分类：机械硬盘(HDD)、固态硬盘(SSD)、混合硬盘(HHD)<br /><br />
制造厂商：希捷、西部数据、东芝、三星、英特尔、闪迪<br /><br />
尺寸大小：3.5英寸、2.5 英寸、1.8英寸、1.3/1.0/0.85英寸</p></blockquote>
<p>磁盘的常用参数,有以下几种形式:</p>
<blockquote><p>容量：MB、GB、TB、PB、EB、ZB、YB、BB、NB、DB<br /><br />
转速：台式机(7200rpm)、笔记本(5400rpm)、服务器(10000rpm,15000rpm)<br /><br />
传输速度： STAT3(500M/s)、SCSI(320M/s)、SAS(500M/s)、PCI-E(1200M/s)<br /><br />
缓存：硬盘控制器的内存芯片，内部存储和接口的缓存</p></blockquote>
<p>接下来我们在说明一下磁盘的物理组成,整个磁盘的组成主要有：</p>
<blockquote><p>● 圆形的盘片(主要记录数据的部分)<br /><br />
● 机械手臂与手臂上的磁头(用来读写盘片上的数据)<br /><br />
● 主轴马达,可以转动盘片,让机械臂在盘片上都写</p></blockquote>
<p>从上面我们知道数据储存与读取的重点在于磁盘的盘片,而盘片上的物理组成则为,以下构造：</p>
<blockquote><p>● 扇区(Sector):为最小的物理存储单位,每个扇区为512bytes<br /><br />
● 柱面(Cylinder):将扇区组成一个圆就是柱面,柱面是分区(partition)的最小单位<br /><br />
● 第一个扇区最重要,里面记录着硬盘主引导记录(MBR)以及分区表(PT),其中MBR占446bytes,而PT则占用64bytes</p></blockquote>
<p>所谓的磁盘分区指的是告诉操作系统 『我这块磁盘在此分区可以访问的区域是,由A柱面到B柱面之间的块』,如此一来操作系统就能够知道,他可以在所指定的区块内进行文件数据的读/写/查找等操作,也就是说,磁盘分区意即指定分区的起始于结束柱面就可以.</p>
<p>因为分区表仅有64bytes而已,因此最多只能记录四条分区的记录,这四条分区记录我们称为主分区(primary)或扩展分区(extended),其中扩展分区还可以再分出逻辑分区(logical),而能被格式化的则仅有主分区和逻辑分区.</p>
<p>最后我们再把分区的定义拿出来说明一下：</p>
<blockquote><p>1.主分区与扩展分区最对可以有4个(硬盘限制)<br /><br />
2.扩展分区最多只有一个(操作系统的限制)<br /><br />
3.逻辑分区是由扩展分区持续分出来的分区<br /><br />
4.只有逻辑分区能被格式化,扩展分区无法格式化<br /><br />
5.逻辑分区在Linux系统中,IDE硬盘最多59个,SATA硬盘最多11个</p></blockquote>
<p><strong>关于文件系统的特性</strong></p>
<p>我们都知道磁盘分区完毕后还需要进行格式化(format),之后操作系统才能够使用这个分区,为什么需要进行『格式化』呢? 这是因为每种操作系统所配置的文件属性/权限并不相同,为了存放这些文件所需的数据,因此就需要将分区进行格式化,以成为操作系统能够利用的『文件系统格式(filesystem)』.</p>
<p>那么文件系统是如何运行的呢? 这与操作系统的文件数据有关,较新的操作系统的文件数据除了文件实际内容外,通常含有非常多的属性,例如 Linux 操作系统的文件权限(rwx)与文件属性(拥有者、群组、时间参数等),文件系统通常会将这两部份的数据分别存放在不同的区块,权限与属性放置到 inode 中,至于实际数据则放置到 data block 区块中,另外,还有一个超级区块 (superblock) 会记录整个文件系统的整体信息,包括 inode 与 block 的总量、使用量、剩余量等.</p>
<blockquote><p>superblock：记录此文件系统的整体信息,包括inode/block的总量、使用量、剩余量,以及文件系统的格式与相关信息等<br /><br />
inode：记录文件的属性,一个文件占用一个inode,同时记录此文件的数据所在的 block 号码<br /><br />
block：实际记录文件的内容,若文件太大时,会占用多个 block</p></blockquote>
<p>由于每个 inode 与 block 都有编号,而每个文件都会占用一个 inode,inode 内则有文件数据放置的 block 号,因此我们可以知道的是,如果能够找到文件的 inode 的话,那么自然就会知道这个文件所放置数据的 block 号,当然也就能够读出该文件的实际数据了,这是个比较有效率的作法,因为如此一来我们的磁盘就能够在短时间内读取出全部的数据,读写的效率非常好.</p>
<blockquote><p>data block 真正存储数据的地方</p></blockquote>
<p>data block 是用来放置文件内容数据地方,在 Ext4 文件系统中所支持的 block 大小有 1K, 2K 及 4K 三种而已,在格式化时 block 的大小就固定了,且每个 block 都有编号,以方便 inode 的记录,不过要注意的是,由于 block 大小的差异,会导致该文件系统能够支持的最大磁盘容量与最大单一文件容量并不相同。,因为 block 大小而产生的 Ext4 文件系统限制如下：</p>
<pre class="prettyprint linenums"><code>Block大小	           1KB	      2KB	      4KB<br />
最大单一文件限制            16GB	      256GB	      2TB<br />
最大文件系统总容量	   2TB	      8TB	      16TB<br />
</code></pre>
<blockquote><p>除此之外 Ext4 文件系统的 block 还有什么限制呢？ 有的！基本限制如下：</p>
<blockquote><p>● 原则上block的大小与数量在格式化完就不能够再改变了(除非重新格式化)<br /><br />
● 每个block内最多只能够放置一个文件的数据<br /><br />
● 承上如果文件大于block的大小则一个文件会占用多个 block 数量<br /><br />
● 承上若文件小于block则该block的剩余容量就不能够再被使用了(磁盘空间会浪费)</p></blockquote></blockquote>
<blockquote><p>Superblock 超级块记录</p></blockquote>
<blockquote><p>Superblock 是记录整个文件系统分配的地方,没有 Superblock 就没有这个文件系统了,他记录的信息主要有：</p>
<blockquote><p>● block 与 inode 的总量<br /><br />
● 未使用与已使用的 inode / block 数量<br /><br />
● block 与 inode 的大小 (block 为 1, 2, 4K，inode 为 128 bytes)<br /><br />
● 文件系统的挂载时间、最近一次写入数据的时间、最近一次检验磁盘 (fsck) 的时间等文件系统的相关信息<br /><br />
● 一个 valid bit 数值若此文件系统已被挂载,则 valid bit 为 0 若未被挂载则 valid bit 为 1</p></blockquote></blockquote>
<p>Superblock 是非常重要的,因为我们这个文件系统的基本信息都写在这里,因此如果 superblock 死掉了,你的文件系统可能就需要花费很多时间去挽救,一般来说 superblock 的大小为 1024bytes.</p>
<p><strong>关于主引导记录的解释</strong></p>
<p>主引导记录（MBR，Main Boot Record）是位于磁盘最前边的一段引导（Loader）代码,它负责磁盘操作系统(DOS)对磁盘进行读写时分区合法性的判别、分区引导信息的定位,它由磁盘操作系统(DOS)在对硬盘进行初始化时产生的.</p>
<blockquote><p>主引导记录在磁盘最前边的一段引导代码，占用了磁盘的第一个分区，结构为：</p>
<blockquote><p>● 主引导程序（boot loader）占用了446byte<br /><br />
● 分区表（Partition table）占用了64byte<br /><br />
● 有效标志符（magic number）占用了2byte（55AAH代表有效）</p></blockquote></blockquote>
<blockquote><p>主引导扇区的读取流程是 ?</p>
<blockquote><p>● BIOS 加电自检 ( Power On Self Test -- POST )BIOS执行内存地址的跳转指令,跳转到固化在ROM中的自检程序,对系统硬件(包括内存)进行检查<br /><br />
● 读取主引导记录(MBR),当BIOS检查到硬件正常并与 CMOS 中的设置相符后,按照 CMOS 中对启动设备的设置顺序检测可用的启动设备,BIOS将相应启动设备的第一个扇区(也就是MBR扇区)读入内存<br /><br />
● 检查MBR的结束标志位是否等于55AAH,若不等于则转去尝试其他启动设备,如果没有启动设备满足要求则显示“NO ROM BASIC”然后死机<br /><br />
● 当检测到有启动设备满足要求后,BIOS将控制权交给相应启动设备,启动设备的MBR将自己复制到0000：0600H处,然后继续执行<br /><br />
● 根据MBR中的引导代码启动引导程序,进入下一个引导环节</p></blockquote></blockquote>
<p><strong>关于MBR分区表的介绍</strong></p>
<p>主引导记录（Master Boot Record，缩写：MBR）又叫做主引导扇区,是计算机开机后访问硬盘时所必须要读取的首个扇区,它在硬盘上的三维地址为（柱面，磁头，扇区）＝（0，0，1）.</p>
<p>MBR是由分区程序（如Fdisk，Parted）所产生的,它不依赖任何操作系统,而且硬盘引导程序也是可以改变的,从而能够实现多系统引导.</p>
<p>从主引导记录的结构可以知道,它仅仅包含一个64个字节的硬盘分区表,由于每个分区信息需要16个字节,所以对于采用MBR型分区结构的硬盘(其磁盘卷标类型为MS-DOS),最多只能识别4个主要分区,所以对于一个采用此种分区结构的硬盘来说,想要得到4个以上的主要分区是不可能的,这里就需要引出扩展分区了,扩展分区也是主分区（Primary partition）的一种,但它与主分区的不同在于理论上可以划分为无数个逻辑分区,每一个逻辑分区都有一个和MBR结构类似的扩展引导记录(EBR),在MBR分区表中最多4个主分区或者3个主分区＋1个扩展分区,也就是说扩展分区只能有一个,然后可以再细分为多个逻辑分区.</p>
<p>在Linux系统中,硬盘分区命名为sda1－sda4或者hda1－hda4（其中a表示硬盘编号可能是a、b、c等等）,在MBR硬盘中,分区号1－4是主分区（或者扩展分区）,逻辑分区号只能从5开始.</p>
<p>在MBR分区表中,一个分区最大的容量为2T,且每个分区的起始柱面必须在这个disk的前2T内,你有一个3T的硬盘,根据要求你至少要把它划分为2个分区,且最后一个分区的起始扇区要位于硬盘的前2T空间内,如果硬盘太大则必须改用GPT.</p>
<p><strong>关于GPT分区表的介绍</strong></p>
<p>全局唯一标识分区表（GUID Partition Table，缩写：GPT）是一个实体硬盘的分区结构,它是EFI(可扩展固件接口标准)的一部分,用来替代BIOS中的主引导记录分区表,但因为MBR分区表不支持容量大于2.2TB（2.2 × 1012字节）的分区,所以也有一些BIOS系统为了支持大容量硬盘而用GPT分区表取代MBR分区表.</p>
<p>在MBR硬盘中,分区信息直接存储于主引导记录(MBR)中（主引导记录中还存储着系统的引导程序）,但在GPT硬盘中,分区表的位置信息储存在GPT头中,但出于兼容性考虑,硬盘的第一个扇区仍然用作MBR,之后才是GPT头.</p>
<p>与支持最大卷为2 TB（Terabytes）并且每个磁盘最多有4个主分区（或3个主分区，1个扩展分区和无限制的逻辑驱动器）的MBR磁盘分区的样式相比,GPT磁盘分区样式支持最大卷为18 EB（Exabytes）（1EB=1048576TB）并且每磁盘的分区数没有上限,只受到操作系统限制（由于分区表本身需要占用一定空间，最初规划硬盘分区时，留给分区表的空间决定了最多可以有多少个分区，IA-64版Windows限制最多有128个分区,这也是EFI标准规定的分区表的最小尺寸）,与MBR分区的磁盘不同,至关重要的平台操作数据位于分区,而不是位于非分区或隐藏扇区.另外,GPT分区磁盘有备份分区表来提高分区数据结构的完整性.</p>
<p>其中转换为GPT的时候可以创建两个隐藏分区,ESP和MSR.ESP是efi系统分区用于保存引导文件,MSR是微软的保留分区,用于安装操作系统.</p>
<p><em><strong>MBR与GPT,两种分区的小总结</strong></em></p>
<ol><li><p>MBR分区表：Master Boot Record，即硬盘主引导记录分区表，只支持容量在 2.1TB 以下的硬盘，超过2.1TB的硬盘只能管理2.1TB，最多只支持4个主分区或三个主分区和一个扩展分区，扩展分区下可以有多个逻辑分区。</p></li>
<li><p>GPT分区表：GPT，全局唯一标识分区表(GUID Partition Table)，与MBR最大4个分区表项的限制相比，GPT对分区数量没有限制，但Windows最大仅支持128个GPT分区，GPT可管理硬盘大小达到了18EB。只有基于UEFI平台的主板才支持GPT分区引导启动。</p></li>
<li><p>GPT分区表下的隐藏分区：</p></li></ol>
<p>①. ESP分区：EFI system partition，该分区用于采用了EFI BIOS的电脑系统，用来启动操作系统。分区内存放引导管理程序、驱动程序、系统维护工具等。如果电脑采用了EFI系统，或当前磁盘用于在EFI平台上启动操作系统，则应建议ESP分区。</p>
<p>②. MSR分区：即微软保留分区，是GPT磁盘上用于保留空间以备用的分区，例如在将磁盘转换为动态磁盘时需要使用这些分区空间。</p>
<ol><li>两种硬盘分区模式分别对应的BIOS启动方式：</li></ol>
<p>硬盘分区格式为MBR格式，启动模式应该为Legacy；<br /><br />
硬盘分区格式为GUID（GPT）格式，启动模式应该为UEFI。</p>
<ol><li>MBR分区表的构成：</li></ol>
<p>⦁主引导程序（boot loader）占用了446byte<br /><br />
⦁分区表（Partition table）占用了64byte<br /><br />
⦁有效标志符（magic number）占用了2byte（55AAH代表有效）</p>
<ol><li>GPT分区表的构成：</li></ol>
<p>⦁LBA 0 ：GPT分区的最开头，考虑兼容性问题，开头仍然存放MBR分区表，只是里面存放的是指向GPT的指针。防止有一些系统不识别GPT分区表。</p>
<p>⦁LBA 1 ：存储了硬盘的总存储空间，以及GPT分区表的信息，定义最多能创建128个分区，每个分信息占用的空间是128字节；128个分区中有一个是用来存储备份分区表的，所以可以手动指定的分区数为127个分区。</p>
<p>⦁LBA 2-33：每个分区信息存放的位置，上边说了每个分信息占用的空间是128字节。2-33正好是32个扇区。32*512=16384，每个分区信息占用了128字节，16384/128=128个分区。</p>
<h2>磁盘管理命令</h2>
<h3>◆dumpe2fs 查询磁盘参数◆</h3>
<p>dumpe2fs命令用于打印 ext2/ext3/ext4 文件系统的超级块和块组信息,其实它可以查询磁盘的很多参数,下面我们先来看一下它的具体参数吧.</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# dumpe2fs --help

命令语法：[ dumpe2fs [选项] 磁盘路径 ]

        -b              #打印文件系统中预留的块信息<br />
        -h              #仅显示超级块信息<br />
        -i              #从指定的文件系统映像文件中读取文件系统信息<br />
        -x              #以16进制格式打印信息块成员<br />
        -ob 超级块      #指定检查文件系统时使用的超级块<br />
        -OB 块大小      #检查文件系统时使用的指定的块大小<br />
</code></pre>
<p><strong>实例：</strong>通过<code>dumpe2fs -h</code>显示指定<code>/dev/sdb</code>分区的详细参数</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# dumpe2fs -h /dev/sdb<br />
dumpe2fs 1.42.9 (28-Dec-2013)<br />
Filesystem volume name:   &lt;none&gt;                  #文件分区的名字(Label)<br />
Last mounted on:          &lt;not available&gt;<br />
Filesystem UUID:          5dc23dc0-8245-4113-b40a-4cb09ad9f4de   #文件系统的UUID<br />
Filesystem magic number:  0xEF53<br />
Filesystem revision #:    1 (dynamic)<br />
Filesystem features:      has_journal ext_attr resize_inode dir_index filetype needs_recovery extent 64bit flex_bg sparse_super large_file huge_file uninit_bg dir_nlink extra_isize<br />
Filesystem flags:         signed_directory_hash<br />
Default mount options:    user_xattr acl           #默认挂载的参数<br />
Filesystem state:         clean                    #这个文件系统是没有问题的(clean)<br />
Errors behavior:          Continue<br />
Filesystem OS type:       Linux                    #文件系统类型是Linux<br />
Inode count:              1310720                  #Inode的总数<br />
Block count:              5242880                  #Block的总数<br />
Reserved block count:     262144<br />
Free blocks:              5116558                  #剩余Blocks数量<br />
Free inodes:              1310709                  #剩余Inodes数量<br />
First block:              0<br />
Block size:               4096                     #每个Block块的大小<br />
Fragment size:            4096<br />
Group descriptor size:    64<br />
Reserved GDT blocks:      1024<br />
Blocks per group:         32768<br />
Fragments per group:      32768<br />
Inodes per group:         8192<br />
Inode blocks per group:   512<br />
Flex block group size:    16<br />
Filesystem created:       Sun Nov 18 08:59:48 2018<br />
Last mount time:          Sun Nov 18 08:59:59 2018<br />
Last write time:          Sun Nov 18 08:59:59 2018<br />
Mount count:              1<br />
Maximum mount count:      -1<br />
Last checked:             Sun Nov 18 08:59:48 2018<br />
Check interval:           0 (&lt;none&gt;)<br />
Lifetime writes:          132 MB<br />
Reserved blocks uid:      0 (user root)<br />
Reserved blocks gid:      0 (group root)<br />
First inode:              11<br />
Inode size:               256                      #每个Inodes块的大小<br />
Required extra isize:     28<br />
Desired extra isize:      28<br />
Journal inode:            8<br />
Default directory hash:   half_md4<br />
Directory Hash Seed:      f00ad08a-e990-4c45-96c3-749116a4e540<br />
Journal backup:           inode blocks<br />
Journal features:         journal_64bit<br />
Journal size:             128M<br />
Journal length:           32768<br />
Journal sequence:         0x00000002<br />
Journal start:            1<br />
</code></pre>
<h3>◆df 查询磁盘信息◆</h3>
<p>df命令用于显示磁盘分区上的可使用的磁盘空间,默认显示单位为KB,可以利用该命令来获取硬盘被占用了多少空间,目前还剩下多少空间等信息,下面我们先来看一下它的具体参数吧.</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# df --help

命令语法：[ df [选项] ]

        -a              #列出所有的文件系统,包括/proc等系统<br />
        -k              #以KB为单位,显示各文件系统<br />
        -m              #以MB为单位,显示各文件系统<br />
        -h              #以常用单位显示文件系统大小<br />
        -H              #以M=1000替代M=1024显示数据<br />
        -T              #显示文件系统类型<br />
        -i              #不用硬盘容量,以Inode数量来显示<br />
</code></pre>
<p><strong>实例：</strong>以通用格式显示系统文件信息.</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# df -hT<br />
Filesystem            Type      Size  Used Avail Use% Mounted on

/dev/mapper/rhel-root xfs        17G  1.2G   16G   7% /<br />
devtmpfs              devtmpfs   98M     0   98M   0% /dev<br />
tmpfs                 tmpfs     110M     0  110M   0% /dev/shm<br />
tmpfs                 tmpfs     110M  5.5M  104M   6% /run<br />
tmpfs                 tmpfs     110M     0  110M   0% /sys/fs/cgroup<br />
/dev/sr0              iso9660   4.4G  4.4G     0 100% /mnt<br />
/dev/sda1             xfs      1014M  130M  885M  13% /boot<br />
tmpfs                 tmpfs      22M     0   22M   0% /run/user/0<br />
/dev/sdb              ext4       20G   45M   19G   1% /lyshark<br />
</code></pre>
<h3>◆du 统计文件大小◆</h3>
<p>du命令也是查看使用空间的,但是与df命令不同的是Linux,du命令是对文件和目录磁盘使用的空间的查看,还是和df命令有一些区别的,下面我们先来看一下它的具体参数吧.</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# du --help

命令语法：[ du [选项] 文件或目录 ]

        -a              #列出所有的文件与目录容量<br />
        -h              #以常用单位显示容量信息<br />
        -s              #只列出总容量,而不统计每个个别目录占用容量<br />
        -S              #不包括子目录下的总计,区别于 -s<br />
        -m              #以MB为单位显示<br />
        -k              #以KB为单位显示<br />
</code></pre>
<p><strong>实例:</strong>通过<code>du -sh</code>显示目录的总容量.</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# du -sh /etc/<br />
31M     /etc/

[root@localhost ~]# du -sh /usr/bin/<br />
63M     /usr/bin/<br />
</code></pre>
<h3>◆lsblk 查所有可用设备◆</h3>
<p>lsblk命令用于列出所有可用块设备的信息,而且还能显示他们之间的依赖关系,但是它不会列出RAM盘的信息,块设备有硬盘,闪存盘,cd-ROM等,lsblk命令包含在util-linux-ng包中,现在该包改名为util-linux,这个包带了几个其它工具,如dmesg,要安装lsblk,请使用 yum install util-linux-ng 来安装,下面我们先来看一下它的具体参数吧.</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# lsblk --hlep

命令语法：[ lsblk [选项] ]

        -a              #显示所有设备<br />
        -m              #显示权限信息<br />
        -l              #使用列表格式显示<br />
        -n              #不显示标题<br />
        -o 列名         #输出指定列<br />
        -P              #以键和值的方式显示<br />
        -t              #使用拓展格式输出<br />
        -r              #使用原始格式输出<br />
</code></pre>
<p><strong>实例：</strong>使用<code>lsblk -t</code>显示磁盘信息</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# lsblk -t<br />
NAME          ALIGNMENT MIN-IO OPT-IO PHY-SEC LOG-SEC ROTA SCHED    RQ-SIZE   RA WSAME<br />
sda                   0    512      0     512     512    1 deadline     128 4096   32M<br />
├─sda1                0    512      0     512     512    1 deadline     128 4096   32M<br />
└─sda2                0    512      0     512     512    1 deadline     128 4096   32M<br />
  ├─rhel-root         0    512      0     512     512    1              128 4096   32M<br />
  └─rhel-swap         0    512      0     512     512    1              128 4096   32M<br />
sdb                   0    512      0     512     512    1 deadline     128 4096    0B<br />
sr0                   0   2048      0    2048    2048    1 deadline     128  128    0B<br />
</code></pre>
<h3>◆e2label 设置卷标名◆</h3>
<p>e2label命令用来设置第二扩展文件系统的卷标,此命令无参数,下面直接看一下使用技巧.</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# dumpe2fs -h /dev/sdb |grep &quot;Filesystem volume name&quot;<br />
dumpe2fs 1.42.9 (28-Dec-2013)<br />
Filesystem volume name:   &lt;none&gt;

[root@localhost ~]# e2label /dev/sdb &quot;lyshark desk&quot;

[root@localhost ~]# dumpe2fs -h /dev/sdb |grep &quot;Filesystem volume name&quot;<br />
dumpe2fs 1.42.9 (28-Dec-2013)<br />
Filesystem volume name:   lyshark desk<br />
</code></pre>
<h3>◆fsck 检查修复文件系统◆</h3>
<p>fsck命令被用于检查并且试图修复文件系统中的错误,当文件系统发生错误,可用fsck指令尝试加以修复.</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# fsck --help

命令语法：[ fsck [选项] 磁盘路径 ]

        -a              #自动修复文件系统,不询问<br />
        -A              #依照/etc/fstab配置文件的内容,检查文件内所列的全部文件系统<br />
        -t 类型         #指定检查文件系统类型<br />
        -V              #显示指令执行过程<br />
</code></pre>
<p><strong>实例：</strong>检查并修复一个文件系统,应该先卸载在检查.</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# fsck -t ext4 -a /dev/sdb

fsck from util-linux 2.23.2<br />
lyshark_desk: clean, 11/1310720 files, 126322/5242880 blocks<br />
</code></pre>
<h3>◆mkfs 格式化◆</h3>
<p>mkfs命令用于在设备上（通常为硬盘）创建Linux文件系统,mkfs本身并不执行建立文件系统的工作,而是去调用相关的程序来执行,下面我们先来看一下它的具体参数吧.</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# mkfs -help

命令语法：[ mkfs [文件类型] 磁盘路径 ]

        -t ext2          #格式化为ext2<br />
        -t ext3          #格式化为ext3<br />
        -t ext4          #格式化为ext4

[root@localhost ~]# mkfs.

mkfs.btrfs   mkfs.cramfs  mkfs.ext2    mkfs.ext3    mkfs.ext4    mkfs.minix   mkfs.xfs

xfs_group<br />
</code></pre>
<p><strong>实例：</strong>格式化一个分区,试一下.</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# mkfs -t ext4 /dev/sdb

mke2fs 1.42.9 (28-Dec-2013)<br />
/dev/sdb is entire device, not just one partition!<br />
Proceed anyway? (y,n) y<br />
Filesystem label=<br />
OS type: Linux<br />
Block size=4096 (log=2)<br />
Fragment size=4096 (log=2)<br />
Stride=0 blocks, Stripe width=0 blocks<br />
1310720 inodes, 5242880 blocks<br />
262144 blocks (5.00%) reserved for the super user<br />
First data block=0<br />
Maximum filesystem blocks=2153775104<br />
160 block groups<br />
32768 blocks per group, 32768 fragments per group<br />
8192 inodes per group<br />
Superblock backups stored on blocks:<br />
        32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632, 2654208,<br />
        4096000

Allocating group tables: done<br />
Writing inode tables: done<br />
Creating journal (32768 blocks): done<br />
Writing superblocks and filesystem accounting information: done<br />
</code></pre>
<h3>◆mount/umount 挂载与卸载磁盘◆</h3>
<p>mount命令用于加载文件系统到指定的加载点,此命令的最常用于挂载cdrom,使我们可以访问cdrom中的数据,因为你将光盘插入cdrom中,Linux并不会自动挂载,必须使用Linux mount命令来手动完成挂载,下面老样子先看参数.</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# mount --help

命令语法：[ mount [选项] [原盘符] [挂载到] ]

        -t ext2          #格式化为ext2<br />
        -a               #根据/etc/fstab配置,重新挂载一遍<br />
        -l               #显示已挂载文件系统列表<br />
        -t               #指定挂载类型(ext2/ext3/vfat/reiserfs/iso9660)<br />
        -L               #通过文件系统的卷标名称进行挂载<br />
        -r               #将文件系统加载为只读模式<br />
        -v               #输出指令执行详细信息<br />
        -o               #指定额外挂载参数(ro,rw只读读写/exec,noexec是否可执行/remount 重新挂载)<br />
</code></pre>
<p><strong>实例1：</strong> 挂载光盘 /dev/sr0 挂载到 /mnt 目录下</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# mount -t iso9660 /dev/sr0 /mnt/

mount: /dev/sr0 is write-protected, mounting read-only<br />
</code></pre>
<p><strong>实例2：</strong> 挂载硬盘,挂载时指定语系为 iocharset=cp950 挂载到 /mnt/flash</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# mount -t vfat -o iocharset=cp950 /dev/sda1 /mnt/flash<br />
</code></pre>
<p><strong>实例3：</strong> 将根分区重新挂载,并加上读写权限</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# mount -o remount,rw,auto  /<br />
</code></pre>
<p><strong>实例4：</strong> 将/home这个目录,临时挂载到/tmp/home下</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# mount --bind /home/ /tmp/home/

[root@localhost ~]# ll /tmp/home/<br />
</code></pre>
<p><strong>实例5：</strong> 利用卷标名来挂载</p>
<pre class="prettyprint linenums"><code>[root@localhost home]# mount -L &quot;LyShark_Disk&quot; /tmp/disk/<br />
</code></pre>
<p><strong>实例6：</strong> 挂载一个ISO镜像,例如Centos.iso</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# mount -o loop /root/Centos.iso /mnt/centos_dvd<br />
</code></pre>
<p><strong>实例7：</strong> 卸载磁盘或任意外部介质</p>
<pre class="prettyprint linenums"><code>[root@localhost home]# umount -v /dev/sr0

umount: /mnt (/dev/sr0) unmounted<br />
</code></pre>

<h2>磁盘分区命令-Fdisk</h2>
<p>fdisk命令用于观察硬盘实体使用情况,也可对硬盘分区,它采用传统的问答式界面,而非类似DOS fdisk的cfdisk互动式操作界面,因此在使用上较为不便,但功能却丝毫不打折扣.</p>
<h3>◆命令参数解释◆</h3>
<pre class="prettyprint linenums"><code>[root@localhost ~]# fdisk -l                         #查看系统所有硬盘及分区<br />
[root@localhost ~]# fdisk 磁盘设备名(/dev/sda)        #创建或修改磁盘的分区结构

[root@localhost ~]# fdisk /dev/sd*<br />
Welcome to fdisk (util-linux 2.23.2).

Changes will remain in memory only, until you decide to write them.<br />
Be careful before using the write command.

Command (m for help): help<br />
h: unknown command<br />
Command action

	p：打印分区表<br />
 	n：新建一个新分区<br />
 	d：删除一个分区<br />
 	t：更改分区类型(82=交换分区)<br />
 	m：输出菜单<br />
 	q：退出不保存<br />
 	w：把分区写进分区表，保存并退出

Command (m for help):

注：若报错Device or resource busy. The kernel still uses the old table.The new table will be used at the next reboot。则需要重启系统，重新加载硬盘，才能进一步操作。

partprobe	强制读取所有分区

⦁当出现上述情况时，也可不必重启，问题导致原因为内核正在使用分区表，那么我们可以是用partprobe强制读取所有分区达到不需要重启从而解决设备占用的问题。

命令没有请安装：parted-2.*-*-*.rpm

</code></pre>
<h3>◆fdisk 分区实例◆</h3>
<p>1.查看磁盘,查看是否有新的磁盘且没有被格式化的.</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# ls -l /dev/sd*<br />
brw-rw---- 1 root disk 8,  0 Sep 21 07:26 /dev/sda<br />
brw-rw---- 1 root disk 8,  1 Sep 21 07:26 /dev/sda1<br />
brw-rw---- 1 root disk 8,  2 Sep 21 07:26 /dev/sda2<br />
brw-rw---- 1 root disk 8, 16 Sep 21 07:26 /dev/sdb

</code></pre>
<pre class="prettyprint linenums"><code>[root@localhost ~]# fdisk -l

Disk /dev/sda: 10.7 GB, 10737418240 bytes, 20971520 sectors<br />
Units = sectors of 1 * 512 = 512 bytes<br />
Sector size (logical/physical): 512 bytes / 512 bytes<br />
I/O size (minimum/optimal): 512 bytes / 512 bytes<br />
Disk label type: dos<br />
Disk identifier: 0x000cc3ff

   Device Boot      Start         End      Blocks   Id  System<br />
/dev/sda1   *        2048     2099199     1048576   83  Linux<br />
/dev/sda2         2099200    20971519     9436160   8e  Linux LVM

↓ 此处就是我们的新磁盘,且没有被格式化

Disk /dev/sdb: 10.7 GB, 10737418240 bytes, 20971520 sectors<br />
Units = sectors of 1 * 512 = 512 bytes<br />
Sector size (logical/physical): 512 bytes / 512 bytes<br />
I/O size (minimum/optimal): 512 bytes / 512 bytes<br />
</code></pre>
<p>2.输入相应盘符进入分区界面</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# fdisk /dev/sdb<br />
Welcome to fdisk (util-linux 2.23.2).

Changes will remain in memory only, until you decide to write them.<br />
Be careful before using the write command.

Device does not contain a recognized partition table<br />
Building a new DOS disklabel with disk identifier 0x5b3d4ae9.

Command (m for help):<br />
</code></pre>
<p>3.开始分区,下面将逐个解释其分区含义</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# fdisk /dev/sdb                                     #指定要分区的盘符<br />
Welcome to fdisk (util-linux 2.23.2).

Changes will remain in memory only, until you decide to write them.<br />
Be careful before using the write command.

Device does not contain a recognized partition table<br />
Building a new DOS disklabel with disk identifier 0x5b3d4ae9.

Command (m for help): p                                                #打印当前分区信息

Disk /dev/sdb: 10.7 GB, 10737418240 bytes, 20971520 sectors<br />
Units = sectors of 1 * 512 = 512 bytes<br />
Sector size (logical/physical): 512 bytes / 512 bytes<br />
I/O size (minimum/optimal): 512 bytes / 512 bytes<br />
Disk label type: dos<br />
Disk identifier: 0x5b3d4ae9

   Device Boot      Start         End      Blocks   Id  System<br />
--------------------------------------------------------------------------------<br />
[划分主分区]

Command (m for help): n                                              #新建一个分区<br />
Partition type:<br />
   p   primary (0 primary, 0 extended, 4 free)                       #创建一个主分区<br />
   e   extended                                                      #创建一个逻辑分区<br />
Select (default p): p<br />
Partition number (1-4, default 1): 1<br />
First sector (2048-20971519, default 2048): 2048                     #默认从哪里开始划分<br />
Last sector, +sectors or +size{K,M,G} (2048-20971519, default 20971519): +5G   #指定划分5个GB<br />
Partition 1 of type Linux and of size 5 GiB is set

Command (m for help): p                                               #打印分区情况

Disk /dev/sdb: 10.7 GB, 10737418240 bytes, 20971520 sectors<br />
Units = sectors of 1 * 512 = 512 bytes<br />
Sector size (logical/physical): 512 bytes / 512 bytes<br />
I/O size (minimum/optimal): 512 bytes / 512 bytes<br />
Disk label type: dos<br />
Disk identifier: 0x5b3d4ae9

   Device Boot      Start         End      Blocks   Id  System<br />
/dev/sdb1            2048    10487807     5242880   83  Linux        #此处可看到一个主分区了<br />
--------------------------------------------------------------------------------<br />
[划分拓展分区]

Command (m for help): n                                              #继续创建分区

Partition type:<br />
   p   primary (1 primary, 0 extended, 3 free)<br />
   e   extended<br />
Select (default p): e                                                #这次选择创建逻辑分区<br />
Partition number (2-4, default 2): 2                                 #默认从2开始<br />
First sector (10487808-20971519, default 10487808): 10487808         #默认开始无需动<br />
Last sector, +sectors or +size{K,M,G} (10487808-20971519, default 20971519):   #由于是拓展分区,所以这里不能指定大小<br />
Using default value 20971519<br />
Partition 2 of type Extended and of size 5 GiB is set

Command (m for help): p

Disk /dev/sdb: 10.7 GB, 10737418240 bytes, 20971520 sectors<br />
Units = sectors of 1 * 512 = 512 bytes<br />
Sector size (logical/physical): 512 bytes / 512 bytes<br />
I/O size (minimum/optimal): 512 bytes / 512 bytes<br />
Disk label type: dos<br />
Disk identifier: 0x5b3d4ae9

   Device Boot      Start         End      Blocks   Id  System<br />
/dev/sdb1            2048    10487807     5242880   83  Linux<br />
/dev/sdb2        10487808    20971519     5241856    5  Extended        #这里可以看到已经有一个拓展结构了,接下来分区<br />
--------------------------------------------------------------------------------<br />
[在拓展分区的基础上划分逻辑分区]

Command (m for help): n

Partition type:<br />
   p   primary (1 primary, 1 extended, 2 free)<br />
   l   logical (numbered from 5)                                       #这里选择l新建逻辑分区<br />
Select (default p): l<br />
Adding logical partition 5<br />
First sector (10489856-20971519, default 10489856): 10489856           #默认开始位置<br />
Last sector, +sectors or +size{K,M,G} (10489856-20971519, default 20971519):  #划分全部空间<br />
Using default value 20971519<br />
Partition 5 of type Linux and of size 5 GiB is set

Command (m for help): w                                              #保存分区表并退出<br />
The partition table has been altered!

Calling ioctl() to re-read partition table.<br />
Syncing disks.

[root@localhost ~]#<br />
</code></pre>
<p>4.接下来使用fdisk -l 可以查看分区情况</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# fdisk -l

Disk /dev/sda: 10.7 GB, 10737418240 bytes, 20971520 sectors            #这是/dev/sda逻辑磁盘<br />
Units = sectors of 1 * 512 = 512 bytes<br />
Sector size (logical/physical): 512 bytes / 512 bytes<br />
I/O size (minimum/optimal): 512 bytes / 512 bytes<br />
Disk label type: dos<br />
Disk identifier: 0x000cc3ff

   Device Boot      Start         End      Blocks   Id  System<br />
/dev/sda1   *        2048     2099199     1048576   83  Linux<br />
/dev/sda2         2099200    20971519     9436160   8e  Linux LVM

Disk /dev/sdb: 10.7 GB, 10737418240 bytes, 20971520 sectors            #这是/dev/sdb逻辑磁盘<br />
Units = sectors of 1 * 512 = 512 bytes<br />
Sector size (logical/physical): 512 bytes / 512 bytes<br />
I/O size (minimum/optimal): 512 bytes / 512 bytes<br />
Disk label type: dos<br />
Disk identifier: 0x5b3d4ae9

   Device Boot      Start         End      Blocks   Id  System<br />
/dev/sdb1            2048    10487807     5242880   83  Linux          #这就是刚刚划分的主分区<br />
/dev/sdb2        10487808    20971519     5241856    5  Extended       #这是拓展结构<br />
/dev/sdb5        10489856    20971519     5240832   83  Linux          #这是逻辑分区

</code></pre>

<h2>磁盘分区命令-Parted</h2>
<p>parted命令是由GNU组织开发的一款功能强大的磁盘分区和分区大小调整工具,与fdisk不同它支持调整分区的大小,作为一种设计用于Linux的工具,它没有构建成处理与fdisk关联的多种分区类型,但是它可以处理最常见的分区格式,包括：ext2、ext3、fat16、fat32、NTFS、ReiserFS、JFS、XFS、UFS、HFS以及Linux交换分区.</p>
<blockquote><p>既然有fdisk为啥还出个parted分区呢?</p>
<blockquote><p>1.parted命令可以划分单个分区大于2T的GPT格式的分区,也可以划分普通的MBR分区,fdisk命令对于大于2T的分区无法划分.<br /><br />
2.大于2.2TB的存储空间用fdisk不支持,需要采用parted来分区,所以用fdisk无法看到parted划分的GPT格式的分区.</p></blockquote></blockquote>
<h3>◆parted常用参数◆</h3>
<pre class="prettyprint linenums"><code>[root@localhost ~]# parted<br />
GNU Parted 3.1<br />
Using /dev/sda<br />
Welcome to GNU Parted! Type 'help' to view a list of commands.<br />
(parted) help<br />
  align-check TYPE N                       check partition N for TYPE(min|opt) alignment<br />
  help [COMMAND]                           print general help, or help on COMMAND<br />
  mklabel,mktable LABEL-TYPE               创建新的磁盘卷标(分区表)<br />
  mkpart PART-TYPE [FS-TYPE] START END     创建一个分区<br />
  name NUMBER NAME                         name partition NUMBER as NAME<br />
  print [devices|free|list,all|NUMBER]     打印当前分区信息

  quit                                     exit program<br />
  rescue START END                         rescue a lost partition near START and END

  resizepart NUMBER END                    resize partition NUMBER<br />
  rm NUMBER                                删除一个分区<br />
  select DEVICE                            选择需要编辑的设备<br />
  disk_set FLAG STATE                      change the FLAG on selected device<br />
  disk_toggle [FLAG]                       toggle the state of FLAG on selected device<br />
  set NUMBER FLAG STATE                    change the FLAG on partition NUMBER<br />
  toggle [NUMBER [FLAG]]                   切换分区表状态<br />
  unit UNIT                                set the default unit to UNIT<br />
  version                                  display the version number and copyright information of GNU Parted<br />
(parted)<br />
</code></pre>
<h3>◆parted 分区实例◆</h3>
<p>1.磁盘参数解释</p>
<pre class="prettyprint linenums"><code>--------------------------------------------------------------------------------<br />
[root@localhost ~]# parted /dev/sdb<br />
GNU Parted 3.1<br />
Using /dev/sdb<br />
Welcome to GNU Parted! Type 'help' to view a list of commands.<br />
(parted) print

                          ↓ 磁盘参数<br />
Model: VMware, VMware Virtual S (scsi)

                 ↓ 磁盘大小<br />
Disk /dev/sdb: 10.7GB<br />
                                ↓ 扇区大小<br />
Sector size (logical/physical): 512B/512B

Partition Table: msdos  ← 分区表格式<br />
Disk Flags:

   1     2     3    4     5       6            7<br />
Number  Start  End  Size  Type  File system  Flags

(parted)

1.Number：分区号<br />
2.Start：分区起始位置，这里不再像fdisk用柱面表示，而是使用byte更加直观<br />
3.End：分区结束位置<br />
4.Size：分区大小<br />
5.Type：分区类型<br />
6.FileSystem：文件系统类型,parted不支持格式化成ext4,但能识别<br />
7.标志（flags）：分区标记

--------------------------------------------------------------------------------<br />
</code></pre>
<p>2.将分区表格式修改成GPT</p>
<pre class="prettyprint linenums"><code>(parted) p<br />
Model: VMware, VMware Virtual S (scsi)<br />
Disk /dev/sdb: 10.7GB<br />
Sector size (logical/physical): 512B/512B<br />
Partition Table: msdos<br />
Disk Flags:

Number  Start  End  Size  Type  File system  Flags

(parted) mklabel msdos    #原格式是mbr

Warning: The existing disk label on /dev/sdb will be destroyed and all data on this disk will be<br />
lost. Do you want to continue?

Yes/No? Yes

(parted) p

Model: VMware, VMware Virtual S (scsi)<br />
Disk /dev/sdb: 10.7GB<br />
Sector size (logical/physical): 512B/512B<br />
Partition Table: gpt    #新格式是gpe<br />
Disk Flags:

Number  Start  End  Size  File system  Name  Flags

(parted)<br />
</code></pre>
<p>3.创建一个分区</p>
<pre class="prettyprint linenums"><code>(parted) p<br />
Model: VMware, VMware Virtual S (scsi)<br />
Disk /dev/sdb: 10.7GB<br />
Sector size (logical/physical): 512B/512B<br />
Partition Table: gpt<br />
Disk Flags:

Number  Start  End  Size  File system  Name  Flags

(parted) mkpart                        #创建分区<br />
Partition name?  []? disk1             #分区名<br />
File system type?  [ext2]? ext2        #分区格式,parted只能创建ext2,这里我们出去格式化吧<br />
Start? 1MB                             #磁盘开始位置<br />
End? 2000MB                            #磁盘结束为止<br />
(parted) print<br />
Model: VMware, VMware Virtual S (scsi)<br />
Disk /dev/sdb: 10.7GB<br />
Sector size (logical/physical): 512B/512B<br />
Partition Table: gpt<br />
Disk Flags:

Number  Start   End     Size    File system  Name   Flags<br />
 1      1049kB  2000MB  1999MB  ext2         disk1            #此处已创建完成

(parted) q<br />
</code></pre>

<h2>磁盘分区命令-Swap</h2>
<p>swap命令用于创建交换空间（包括交换文件和交换分区）</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# free -h<br />
              total        used        free      shared  buff/cache   available<br />
Mem:           218M        112M         22M        5.1M         82M         69M<br />
Swap:          1.0G        520K        1.0G

[root@localhost ~]# dd if=/dev/zero of=/tmp/swap bs=1024 count=100000<br />
100000+0 records in<br />
100000+0 records out<br />
102400000 bytes (102 MB) copied, 2.6988 s, 37.9 MB/s

[root@localhost ~]# mkswap /tmp/swap<br />
Setting up swapspace version 1, size = 99996 KiB<br />
no label, UUID=7d7f22ed-466e-4205-8efe-1b6184dc5e1b

[root@localhost ~]# swapon /tmp/swap<br />
swapon: /tmp/swap: insecure permissions 0644, 0600 suggested.

[root@localhost ~]# free -h<br />
              total        used        free      shared  buff/cache   available<br />
Mem:           218M        109M        3.2M        2.8M        105M         75M<br />
Swap:          1.1G        2.8M        1.1G

[root@localhost ~]# cat /etc/fstab

#<br />
# /etc/fstab<br />
# Created by anaconda on Tue Sep 18 09:05:06 2018<br />
#<br />
# Accessible filesystems, by reference, are maintained under '/dev/disk'<br />
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info<br />
#<br />
/dev/mapper/centos-root /                       xfs     defaults        0 0<br />
UUID=13d5ccc2-52db-4aec-963a-f88e8edcf01c /boot                   xfs     defaults        0 0<br />
/dev/mapper/centos-swap swap                    swap    defaults        0 0

UUID=7d7f22ed-466e-4205-8efe-1b6184dc5e1b swap swap defaults 0 0

[root@localhost ~]# swapoff /tmp/swap<br />
[root@localhost ~]# free -h<br />
              total        used        free      shared  buff/cache   available<br />
Mem:           218M        109M        5.5M        2.8M        103M         75M<br />
Swap:          1.0G        2.7M        1.0G<br />
</code></pre>

<h2>磁盘的挂载与自动挂载</h2>
<h3>◆格式化与挂载◆</h3>
<p>1.首先格式化一个磁盘.</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# ll /dev/sd*<br />
brw-rw---- 1 root disk 8,  0 Sep 21 07:26 /dev/sda<br />
brw-rw---- 1 root disk 8,  1 Sep 21 07:26 /dev/sda1<br />
brw-rw---- 1 root disk 8,  2 Sep 21 07:26 /dev/sda2<br />
brw-rw---- 1 root disk 8, 16 Sep 21 07:50 /dev/sdb<br />
brw-rw---- 1 root disk 8, 17 Sep 21 07:50 /dev/sdb1<br />
brw-rw---- 1 root disk 8, 18 Sep 21 07:50 /dev/sdb2<br />
brw-rw---- 1 root disk 8, 21 Sep 21 07:50 /dev/sdb5<br />
[root@localhost ~]#

[root@localhost ~]# mkfs -t ext4 /dev/sdb1           #格式化一个磁盘<br />
mke2fs 1.42.9 (28-Dec-2013)<br />
Filesystem label=<br />
OS type: Linux<br />
Block size=4096 (log=2)<br />
Fragment size=4096 (log=2)<br />
Stride=0 blocks, Stripe width=0 blocks<br />
327680 inodes, 1310720 blocks<br />
65536 blocks (5.00%) reserved for the super user<br />
First data block=0<br />
Maximum filesystem blocks=1342177280<br />
40 block groups<br />
32768 blocks per group, 32768 fragments per group<br />
8192 inodes per group<br />
Superblock backups stored on blocks:<br />
        32768, 98304, 163840, 229376, 294912, 819200, 884736

Allocating group tables: done<br />
Writing inode tables: done<br />
Creating journal (32768 blocks): done<br />
Writing superblocks and filesystem accounting information: done<br />
</code></pre>
<p>2.接着挂载这个磁盘</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# mkdir /sdb1                      #创建挂载点

[root@localhost ~]# mount -t ext4 /dev/sdb1 /sdb1/   #将磁盘挂载

[root@localhost ~]# df -h

Filesystem               Size  Used Avail Use% Mounted on<br />
/dev/mapper/centos-root  8.0G  1.3G  6.8G  16% /<br />
devtmpfs                  98M     0   98M   0% /dev<br />
/dev/sda1               1014M  130M  885M  13% /boot<br />
/dev/sdb1                4.8G   20M  4.6G   1% /sdb1      #这个就是我们的磁盘<br />
</code></pre>
<h3>◆分区的自动挂载◆</h3>
<p>1.首先我们要查看指定磁盘的UUID号</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# ls -l /dev/disk/by-uuid/<br />
total 0<br />
lrwxrwxrwx 1 root root 10 Sep 21 07:26 13d5ccc2-52db-4aec-963a-f88e8edcf01c -&gt; ../../sda1<br />
lrwxrwxrwx 1 root root  9 Sep 21 07:26 2018-05-03-20-55-23-00 -&gt; ../../sr0<br />
lrwxrwxrwx 1 root root 10 Sep 21 07:56 3439c4dd-d074-4900-a507-126e41b55e26 -&gt; ../../sdb1      #此处就是我们sdb1的UUID<br />
lrwxrwxrwx 1 root root 10 Sep 21 07:26 4604dcf2-da39-455a-9719-e7c5833e566c -&gt; ../../dm-0<br />
lrwxrwxrwx 1 root root 10 Sep 21 07:26 f6a4b420-aa6a-4e66-bbb3-c8e8280a099f -&gt; ../../dm-1

</code></pre>
<p>2.打开/etc/fstab写入以下内容实现效果,这里千万别写错</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# cat /etc/fstab

#<br />
# /etc/fstab<br />
# Created by anaconda on Tue Sep 18 09:05:06 2018<br />
#<br />
# Accessible filesystems, by reference, are maintained under '/dev/disk'<br />
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info<br />
#<br />
/dev/mapper/centos-root /                       xfs     defaults        0 0<br />
UUID=13d5ccc2-52db-4aec-963a-f88e8edcf01c /boot                   xfs     defaults        0 0<br />
/dev/mapper/centos-swap swap                    swap    defaults        0 0

UUID=3439c4dd-d074-4900-a507-126e41b55e26 /sdb1  ext4   defaults 0 0

--------------------------------------------------------------------------------<br />
[说明]

1.设备文件名（UUID）<br />
2.挂载点<br />
3.文件系统类型<br />
4.挂载特殊选项<br />
5.是否备份： 0不备份 1每天备份 2不定期备份<br />
6.是否检查磁盘状态： 0不检查 1启动时检查 2启动后检查<br />
</code></pre>
<p>3.最后使用mount -a 测试是否能挂载上</p>
<pre class="prettyprint linenums"><code>[root@localhost ~]# mount -a<br />
[root@localhost ~]#<br />
[root@localhost ~]# df -h<br />
Filesystem               Size  Used Avail Use% Mounted on<br />
/dev/mapper/centos-root  8.0G  1.3G  6.8G  16% /<br />
devtmpfs                  98M     0   98M   0% /dev<br />
tmpfs                    110M     0  110M   0% /dev/shm<br />
tmpfs                    110M  5.5M  104M   5% /run<br />
tmpfs                    110M     0  110M   0% /sys/fs/cgroup<br />
/dev/sda1               1014M  130M  885M  13% /boot<br />
tmpfs                     22M     0   22M   0% /run/user/0<br />
/dev/sdb1                4.8G   20M  4.6G   1% /sdb1             #能说明成功<br />
</code></pre>
<p><strong>参考文献：Linux鸟哥私房菜，Linux运维之道</strong></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/oqvk2l19.html">equal与&equals;&equals;</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqd3o778.html">ajax 请求多张图片数据</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0ejkwq.html">通过Log4j的DEBUG级别来显示mybatis的sql语句</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnv7gd8.html">&dollar;parse ， &dollar;interpolate ，&dollar;complie &comma; &dollar;destroy</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1zr0e9.html">10步教你来优化WordPress速度 为服务器和访客减压</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eye2jm9.html">ThinkPHP文件上传类</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjvnxr8.html">&period;Net编译之AnyCPU - 进阶者系列 - 学习者系列文章</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljl3p09.html">poj2488骑士之旅</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zvmp19.html">笔记：Jersey REST 传输格式</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxk3xzd8.html">携程实时计算平台架构与实践丨DataPipeline</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1r5n608.html">Cmder使用ls中文显示乱码解决方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pw2lp78.html">struts2框架学习笔记5：OGNL表达式</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4j5xz5q.html">JVM 内部原理（一）&mdash; 概述</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5xn77q.html">springboot学习章节-spring常用配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25oypwq.html">Excel学习之图表创建</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rnzwk4q.html">ucosii笔记&lpar;一&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9633l4n9.html">sourcetree向github推送代码提示密码错误</a>
		</li>
						<li><a href="https://www.batexi.com/a/902yllnq.html">八，mysql优化&mdash;&mdash;读写分离</a>
		</li>
						<li><a href="https://www.batexi.com/a/qx24g1d8.html">std 与标准库</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o4rdzlq.html">SQL Server查看库、表占用空间大小</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qv2xe319.html">flask在其他文件中添加路由</a>
			</li>
						<li><a href="https://www.batexi.com/a/90ro2xn9.html">《Django By Example》第一章 学习笔记</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r5o4ddq.html">【Linux】 Ncures库的介绍与安装</a>
			</li>
						<li><a href="https://www.batexi.com/a/93w5jw0q.html">&lbrack;ASP&period;net&rsqb;web&period;config的customErrors与httpErrors的区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/qllyo41q.html">使用EventLog Analyzer进行VMware日志管理</a>
			</li>
						<li><a href="https://www.batexi.com/a/9601m1j9.html">gcc 库路径里同时有相同文件名的动态库和静态库</a>
			</li>
						<li><a href="https://www.batexi.com/a/95g6wmmq.html">假期训练八（poj-2965递归&plus;枚举，hdu-2149，poj-2368巴什博奕）</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7o4g1g8.html">使用express框架和mongoose在MongoDB新增数据</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwv6wly8.html">jQuery警告&sol;确认&sol;提示弹出对话框效果（替换传统JavaScript下的提示框）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qllyw4eq.html">platform总线，设备，驱动的注册</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
